Cowdidocs
API ReferenceFarmworks loans

Get Farmworks loan application by ID

Retrieve Farmworks loan application details by loan application ID. For JWT auth, uses the authenticated user. For API key auth, provide user_id as a query parameter.

GET
/v1/accounts/loan/applications/farmworks/{application_id}

Path Parameters

application_id*string

Query Parameters

user_id?string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/accounts/loan/applications/farmworks/string"
{  "id": "650e8400-e29b-41d4-a716-446655440000",  "resource_id": "lapp_351t201rmv87aae5j4csam8000",  "status": "APPROVED",  "account_id": "550e8400-e29b-41d4-a716-446655440000",  "loan_product_type": "REDUCING_BALANCE",  "loan_amount": 500000,  "tenure": {    "duration": 3,    "unit": "DAYS"  },  "interest_rate": {    "basis_points": 0,    "period_value": 1,    "period_unit": "DAYS"  },  "standard_interest_rate": {    "basis_points": 100,    "period_value": 1,    "period_unit": "DAYS"  },  "terms_range": {    "min_loan_amount": 100000,    "max_loan_amount": 5000000  },  "penalty_terms": {    "rate_basis_points": 100,    "calculation_basis": "PRINCIPAL_AND_ARREARS",    "type": "RECURRING",    "period_days": 1,    "trigger": "AFTER_LOAN_END",    "grace_period_days": 0  },  "applied_deal": {    "id": "750e8400-e29b-41d4-a716-446655440000",    "resource_id": "deal_3n1t201rmv87aae5j4csam8000",    "name": "Planting Season Promo",    "short_message": "0% interest planting season promo applied!"  },  "currency": "KES",  "expires_at": "2025-10-27T10:30:00Z"}
{  "code": "BAD_REQUEST",  "description": "Bad Request"}
{  "code": "UNAUTHORISED",  "description": "Unauthorised"}
{  "code": "WAITING_LIST",  "description": "User is in the waiting list"}
{  "code": "TOO_MANY_REQUESTS",  "description": "Too Many Requests"}
{  "code": "INTERNAL_SERVER_ERROR",  "description": "Internal Server Error"}